#
# spec file for package liblscp
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover  6
Name:           liblscp
Version:        1.0.0
Release:        1.1
Summary:        LinuxSampler control protocol library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            https://linuxsampler.org
Source:         https://download.linuxsampler.org/packages/liblscp-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig

%description
liblscp is an implementation of the LinuxSampler control protocol,
proposed as a C language API.

%package -n liblscp%{sover}
Summary:        LinuxSampler Control Protocol Library
Group:          System/Libraries

%description -n liblscp%{sover}
liblscp is an implementation of the LinuxSampler control protocol,
proposed as a C language API.

%package -n liblscp-devel
Summary:        LinuxSampler Control Protocol Library
Group:          Development/Libraries/C and C++
Requires:       liblscp%{sover} = %{version}

%description -n liblscp-devel
liblscp is an implementation of the LinuxSampler control protocol,
proposed as a C language API.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%post   -n liblscp%{sover} -p /sbin/ldconfig
%postun -n liblscp%{sover} -p /sbin/ldconfig

%files -n liblscp%{sover}
%license LICENSE
%doc ChangeLog
%{_libdir}/liblscp.so.%{sover}
%{_libdir}/liblscp.so.%{sover}.*

%files -n liblscp-devel
%{_includedir}/lscp
%{_libdir}/liblscp.so
%{_libdir}/pkgconfig/lscp.pc

%changelog
* Sat Aug 31 2024 Dirk Müller <dmueller@suse.com>
- update to 1.0.0:
  * Making up the unthinkable (aka. v1.0.0)
* Sat Nov 25 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.11:
  * No changes
* Tue May  2 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.9:
  * An Early-Spring'23 release
  * Fix debug build handling
* Fri Jan 20 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.8:
  * Fixed broken pkg-config file (lscp.pc) generation (thanks
    to Konstantin Voinov while on OBS multimedia::proaudio).
* Sun Apr 10 2022 Dirk Müller <dmueller@suse.com>
- update to 0.9.6:
  * Spring'22 release
* Mon Jan 31 2022 Dirk Müller <dmueller@suse.com>
- update to 0.9.5:
  * Dropped autotools (autoconf, automake, etc.) build system.
  * An Early-Summer'21 release.
* Tue May 18 2021 Andreas Stieger <andreas.stieger@gmx.de>
- update to 0.9.3:
  * Expose actual system error codes via client interface
  * Added new client interface function for checking whether client
    lost connection to server
  * Fixed potential missing NULL termination of locale strings
- drop liblscp-remove_build_timestamps.patch, no longer needed
* Mon Mar 12 2018 jengelh@inai.de
- Fix SRPM group. Rename %%soname to %%sover to better reflect
  its use.
* Fri Mar  9 2018 aloisio@gmx.com
- Update to version 0.5.8
  * A Fall'16 release.
  version 0.5.7
  * Use getaddrinfo() instead of deprecated gethostbyname().
  * Update on newer autoconf macros (m4).
  * Fixes for building for Windows with configure and make.
  * Makefile fixes for building in separate directory.
  * Autoconf fix: AC_CONFIG_HEADER obsolete error (fixes #194).
- Spec cleanup
* Mon Apr 16 2012 pascal.bleser@opensuse.org
- initial version (0.0+r2342)
